cabal-version: 1.12

-- This file has been generated from package.yaml by hpack version 0.36.0.
--
-- see: https://github.com/sol/hpack

name:           stress-tensors-3d
version:        0.1.0.1
author:         David Simmons-Duffin
maintainer:     davidsd@gmail.com
license:        MIT
build-type:     Simple

library
  exposed-modules:
      StressTensors3d.Block3dBuildLink
      StressTensors3d.BlockRF
      StressTensors3d.CompositeBlock
      StressTensors3d.ConstantBlock
      StressTensors3d.CrossingEqs
      StressTensors3d.OPECoeffUtils
      StressTensors3d.Programs.Defaults
      StressTensors3d.Programs.MemoryTest
      StressTensors3d.Programs.TEps2023
      StressTensors3d.Programs.Test
      StressTensors3d.Programs.TestMixed
      StressTensors3d.Programs.TSigEps2023
      StressTensors3d.Programs.TSigEps2023Data
      StressTensors3d.TEps3d
      StressTensors3d.ThreePtStruct
      StressTensors3d.TSig3d
      StressTensors3d.TSigEps3d
      StressTensors3d.TSigEpsSetup
      StressTensors3d.TSOStructLabel
      StressTensors3d.TTOStructLabel
      StressTensors3d.TTTT3d
      StressTensors3d.Z2Rep
  other-modules:
      Paths_stress_tensors_3d
  hs-source-dirs:
      src
  ghc-options: -Wall -Wcompat -Wincomplete-record-updates -Wincomplete-uni-patterns -Wredundant-constraints -O2 -Wunused-packages
  extra-libraries:
      mpfr
  build-depends:
      aeson
    , base
    , binary
    , blocks-3d
    , blocks-core
    , bootstrap-bounds
    , bootstrap-build
    , bootstrap-math
    , containers
    , deepseq
    , directory
    , extra
    , filepath
    , hyperion
    , hyperion-bootstrap
    , hyperion-config
    , hyperion-static
    , linear
    , matrix-static
    , mtl
    , multiset
    , quadratic-net
    , reflection
    , rounded
    , scalar-blocks
    , scientific
    , sdpb-haskell
    , tagged
    , text
    , time
    , vector
  default-language: GHC2021

executable stress-tensors-3d-exec
  main-is: Main.hs
  other-modules:
      Paths_stress_tensors_3d
  hs-source-dirs:
      exec
  ghc-options: -Wall -Wcompat -Wincomplete-record-updates -Wincomplete-uni-patterns -Wredundant-constraints -O2 -Wunused-packages -threaded
  build-depends:
      base
    , hyperion-bootstrap
    , hyperion-config
    , stress-tensors-3d
  default-language: GHC2021

executable stress-tensors-3d-test
  main-is: Main.hs
  other-modules:
      Paths_stress_tensors_3d
  hs-source-dirs:
      test
  ghc-options: -Wall -Wcompat -Wincomplete-record-updates -Wincomplete-uni-patterns -Wredundant-constraints -O2 -Wunused-packages -threaded
  build-depends:
      base
    , stress-tensors-3d
  default-language: GHC2021
